Bug 1015823 - VPN not possible anymore after update tody.
VPN not possible anymore after update tody.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 17:02 EDT by Juergen Sievers
Modified: 2015-02-17 12:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:32:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Sievers 2013-10-05 17:02:24 EDT
Description of problem:
VPO connection can not be open after last update totay.

Oct  5 22:45:27 nadhhlt NetworkManager[1017]: <info> Starting VPN service 'vpnc'...
Oct  5 22:45:27 nadhhlt NetworkManager[1017]: <info> VPN service 'vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 4840
Oct  5 22:45:27 nadhhlt NetworkManager[1017]: <info> VPN service 'vpnc' appeared; activating connections
Oct  5 22:45:27 nadhhlt NetworkManager[1017]: <info> VPN plugin state changed: starting (3)
Oct  5 22:45:27 nadhhlt NetworkManager[1017]: <info> VPN connection 'NADIVPN' (Connect) reply received.
Oct  5 22:45:27 nadhhlt NetworkManager[1017]: <warn> /sys/devices/virtual/net/tun0: couldn't determine device driver; ignoring...
Oct  5 22:45:28 nadhhlt avahi-daemon[867]: Withdrawing workstation service for tun0.
Oct  5 22:45:28 nadhhlt NetworkManager[1017]: <warn> VPN plugin failed: 1
Oct  5 22:45:28 nadhhlt NetworkManager[1017]: <info> VPN plugin state changed: stopped (6)
Oct  5 22:45:28 nadhhlt NetworkManager[1017]: <info> VPN plugin state change reason: 0
Oct  5 22:45:28 nadhhlt NetworkManager[1017]: <info> Policy set 'Auto Hotel Barmstedter Hof' (wlp2s0) as default for IPv4 routing and DNS.
Oct  5 22:45:28 nadhhlt NetworkManager[1017]: <warn> error disconnecting VPN: Could not process the request because no VPN connection was active.
Oct  5 22:45:33 nadhhlt NetworkManager[1017]: <info> VPN service 'vpnc' disappeared


Version-Release number of selected component (if applicable):
Installierte Pakete
NetworkManager-openvpn.x86_64                                               1:0.9.8.2-3.fc19                                     @updates         
NetworkManager-openvpn-gnome.x86_64                                         1:0.9.8.2-3.fc19                                     @updates         
NetworkManager-vpnc.x86_64                                                  1:0.9.8.2-2.fc19                                     @updates         
NetworkManager-vpnc-gnome.x86_64                                            1:0.9.8.2-2.fc19                                     @updates         
openvpn.x86_64                                                              2.3.2-4.fc19                                         @updates         
vpnc.x86_64                                                                 0.5.3-18.svn457.fc19                                 @updates         
vpnc-consoleuser.x86_64                                                     0.5.3-18.svn457.fc19                                 @updates         
vpnc-script.noarch                                                          0.5.3-18.svn457.fc19                                 @updates         

-bash-4.2# uname -a
Linux nadhhlt.nadisoft.de 3.11.2-201.fc19.x86_64 #1 SMP Fri Sep 27 19:20:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Always I try to connect by VPN using NetworkManager


Steps to Reproduce:
1. Open network-pop-down on tom of screen
2. activate vpn connection (Was working many times/month before last update)
3. Nothing happen, connection could not be established see log message above.

Actual results:
no VPN conection

Expected results:
VPN connection

Additional info:

I'm really unhappy about the last update. fedora becomes more and more unusable.
Comment 1 Thomas Haller 2013-10-07 05:20:55 EDT
The relevant packages that are build from the NetworkManager and NetworkManager-vpnc sources did hardly change for a while. So it's quite unclear, what the problem is.

What is your version of the "NetworkManager" package?



Could you please provide more debugging information? 

To enable DEBUG logging in NetworkManager service, add the section

[logging]
level=DEBUG

to /etc/NetworkManager/NetworkManager.conf and restart the service.

For NetworkManager-vpnc please see: https://wiki.gnome.org/NetworkManager/Debugging#Debugging_NetworkManager-vpnc


Thank you!
Comment 2 Ohad Levy 2013-11-14 06:22:22 EST
I can confirm this issue on F19, the curlpit seems the following line:
<warn> /sys/devices/virtual/net/tun0: couldn't determine device driver; ignoring...

I've tried to downgrade libgcrypt, with no effect.

this impacts both openvpn and cisco vpn.
Comment 3 Juergen Sievers 2013-12-05 16:11:19 EST
problem still exist, any solution at today?
Is there anybody working on?
Any hint for alternatives (working Distry , other Methods...) to get back the ability connecting by VPN are welcome.

Regard
Juergen
Comment 4 Fedora End Of Life 2015-01-09 15:08:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:32:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.